ru.bitel.bgbilling.kernel.contract.api.common.event

## Class ContractGroupModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ContractGroup>
    - - ru.bitel.bgbilling.kernel.contract.api.common.event.ContractGroupModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractGroupModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ContractGroup>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractGroupModifiedEvent()`
    `` | `ContractGroupModifiedEvent(int moduleId, int userId, ContractGroup oldValue, ContractGroup newValue)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractGroupModifiedEvent

          protected ContractGroupModifiedEvent()

    - #### ContractGroupModifiedEvent

          public ContractGroupModifiedEvent(int moduleId,
                                            int userId,
                                            ContractGroup oldValue,
                                            ContractGroup newValue)